/*----------------------------- gpibcomm.h ------------------------------------

  GPIB Driver Generic Header file

  25. June 2004

  by Michael Siegenthaler
     michael@msigi.net
     www.msigi.net

------------------------------------------------------------------------------*/
#ifndef _GPIBCOMM_H
#define _GPIBCOMM_H 1

/* Information about the GPIB bus */
#define INTERFACE "gpib0"

/* Buffer length definitions */
#define READ_LEN 1024
#define SHORT_BUF 128

/* Initializes the GPIB bus (this ensures that the kernel module for
   GPIB gets loaded, returns -1 on error) */
int bus_init (void);

/* Functions for reading and writing to instruments */
int gpib_write (int inst, char *cmd);
int gpib_read (int inst, char *buf, int buflen);

/* Initializes an instrument and returns a communication handle */
int inst_init (int inst_addr);

/* Terminates communication with an instrument */
int inst_term (int inst);

/* Sets timeout value */
int set_timeout_val (int tmoutval);

#endif
