/******************************************************************************* * serialcomm.h
 * Serial Instrument Driver Header File
 *
 * December 18, 2005
 *
 * Michael Siegenthaler
 * www.msigi.net
 *
 ******************************************************************************/
#ifndef _SERIALCOMM_H
#define _SERIALCOMM_H 1

#define SERIAL_FLOWCONTROL_NONE 0
#define SERIAL_FLOWCONTROL_HARDWARE 1
#define SERIAL_FLOWCONTROL_SOFTWARE 2

/* Functions for reading and writing to instruments */
int serial_inst_write (int inst, char *cmd);
int serial_inst_read (int inst, char *buf, int buflen);

/* Initializes an instrument and returns a communication handle */
int serial_inst_init (int inst_addr);

/* Terminates communication with an instrument */
int serial_inst_term (int inst);

#define SERIAL_TIMEOUT_MAX 120
#define SERIAL_TIMEOUT_MIN 1

/* Sets timeout value */
int serial_set_timeout_val (int tmoutval);

/* Loads instrument routes */
int serial_load_inst_routes (char * serial_config_file);

/* Set serial speed (only modifies settings structure, not actual port configuration) */
int serial_inst_set_speed(int baudrate);

#endif
