#ifndef _MSIGI_SESSION_H
#define _MSIGI_SESSION_H

// GPIB client commands
#define GC_INVALID 0
#define GC_INIT 1
#define GC_WRITE 2
#define GC_READ 3
#define GC_QUERY 4
#define GC_FREE 5
#define GC_CLOSE 6
#define GC_PING 7
#define GC_SET_TIMEOUT 8

// GPIB server messages
#define GS_READ 21
#define GS_OK 22
#define GS_ERROR 23

// GPIB error codes
#define GE_BADCOMMAND 31
#define GE_COMMERR 32
#define GE_FATALERR 33
#define GE_RESOURCEUNAVAILABLE 34
#define GE_INTERNALERROR 35

// Backend communication types
#define BACKEND_GPIB 0
#define BACKEND_TCPIP 1
#define BACKEND_SERIAL 2

// Starting addresses for address ranges of backend communication types
#define BACKEND_ADDRESS_START_SERIAL 100
#define BACKEND_ADDRESS_START_TCPIP 200
#define TCPIP_MAX_INSTRUMENTS 100
#define SERIAL_MAX_INSTRUMENTS 100

void run_session(int session_sd);

#endif
