/*******************************************************************************
 * tcpipcomm.h
 * TCP/IP Instrument Driver Header File
 *
 * December 18, 2005
 *
 * Michael Siegenthaler
 * www.msigi.net
 *
 ******************************************************************************/
#ifndef _TCPIPCOMM_H
#define _TCPIPCOMM_H 1

/* Functions for reading and writing to instruments */
int tcpip_inst_write (int inst, char *cmd);
int tcpip_inst_read (int inst, char *buf, int buflen);

/* Initializes an instrument and returns a communication handle */
int tcpip_inst_init (int inst_addr);

/* Terminates communication with an instrument */
int tcpip_inst_term (int inst);

#define TCPIP_TIMEOUT_MAX 120
#define TCPIP_TIMEOUT_MIN 1

/* Sets timeout value */
int tcpip_set_timeout_val (int tmoutval);

/* Loads instrument routes */
int tcpip_load_inst_routes (char * tcpip_config_file);

#endif
